from flask import Flask
from flask.templating import render_template
from helper import *

app = Flask(__name__)


@app.route("/")
def index():
    return render_template(
        "index.html",
        recentArticle=getRecentArticle(),
        recentDiscussion=getRecentDiscussion(),
    )


@app.route("/privacy")
def privacypolicy():
    return render_template("privacypolicy.html")


if __name__ == "__main__":
    app.run(host="127.0.0.1")
